SmakeSmake API Docs
EndpointsLogos

Design a logo

POST
/logos/{id}/design

You can create a new designed logo here. The logo you use for designing must contain at least one text element.

Background processing

When you design a logo, this happens asynchronously and you have to use Polling or Webhooks. You will receive the new logo id in the header for later reference.

The current state of the asynchronous process is represented due following states:

StateMeaning
draftThe initial state of a new logo
checkingLogo is processed automatically in background. For example images will be generated or downloaded.
failedSomething went wrong during the checking process. The reason can be found in the failure_message attribute. For example an image could not be downloaded.
completedAll automatic processes were successful. The logo is ready to use.

It is not possible to use this logo before state completed.

How to Design

You can change the texts of the logo here — see the texts property of the request body and the Text Object (LogoTextInput).

AuthorizationbearerAuth

Authorization

bearerAuth
AuthorizationBearer <token>

API token as bearer token — you receive a test and a live token, there is no switch between them. See Setup → Authentication and Setup → Test mode.

In: header

Path Parameters

id*integer

The ID of the resource.

Header Parameters

Accept*"application/json"

The API only responds with JSON — this header is mandatory on every request (see Setup → Headers).

Default"application/json"

Value in

  • "application/json"

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Design a logo — you can change the texts of the logo here. The logo you use for designing must contain at least one text element.

Response Body

application/json

application/json

application/json

Request example
curl -X POST "https://example.com/logos/0/design" \  -H "Accept: application/json" \  -H "Content-Type: application/json" \  -d '{    "texts": [      {        "name": "Text_1",        "lines": [          "kurzer Text1"        ]      }    ]  }'
Empty